> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Persona Create



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /personas/create
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /personas/create:
    post:
      tags:
        - personas
      summary: Persona Create
      operationId: persona_create
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonaCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PersonaCreateRequest:
      properties:
        create_vault:
          type: boolean
          title: Create Vault
          description: Whether to create a vault for the persona
          default: false
        create_phone_number:
          type: boolean
          title: Create Phone Number
          description: Whether to create a phone number for the persona
          default: false
      additionalProperties: false
      type: object
      title: PersonaCreateRequest
    PersonaResponse:
      properties:
        persona_id:
          type: string
          title: Persona Id
          description: ID of the created persona
        status:
          type: string
          title: Status
          description: Status of the persona (active, closed)
        first_name:
          type: string
          title: First Name
          description: First name of the persona
        last_name:
          type: string
          title: Last Name
          description: Last name of the persona
        email:
          type: string
          title: Email
          description: Email of the persona
        vault_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vault Id
          description: ID of the vault
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
          description: Phone number of the persona (optional)
      type: object
      required:
        - persona_id
        - status
        - first_name
        - last_name
        - email
        - vault_id
        - phone_number
      title: PersonaResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````